package de.ivu.elect.business.email.boundary;

import de.ivu.elect.business.email.entity.EmailLayout;
import de.ivu.elect.business.email.entity.EmailLayoutVerwendungType;

import javax.ejb.Stateless;

@Stateless
public class EmailLayoutEdit extends AbstractEmailLayoutEdit {

  public EmailLayoutEdit() {
    super();
  }

  @Override
  public void save(EmailLayout entity) {
    if (entity.getVerwendungTyp().isExklusiv()) {
      extendedDao.updateVerwendungTypWhereBezeichnungNot(entity.getBezeichnung(), EmailLayoutVerwendungType.NICHT_VORAUSGEWAEHLT);
    }

    super.save(entity);
  }
}
